﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSQ (1 yr) Frequency Response (HF/RF) VER
DATE:                  2011-02-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       412
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSQ3, FSQ8, FSQ26
#
# Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        Sub FSU Frequency Response (HF) Ref Set /LPNX
#        Sub FSQ Frequency Response Tests (HF)
#        Sub FSQ Characterize Power Splitter Tracking Errors
#        Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
#        Sub FSU Compute RF Freq Response Reference Uncertainty
#        Sub FSQ Frequency Response Tests (RF)
#        Sub FSU Take Sweep (MKPK)
#
#  Required Files:
#        fsu_rf_freq_resp_swpg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, DC to 26.5 GHz, Type N, HP/Agilent 11667B
#        Adapter, 3.5 mm (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#    The reference accuracy is computed as:
#    - Worst case, k = 2
#
#  Methodology:
#
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#
#   Frequency Response (1 MHz to 200 GHz):
#      - 9640A-LPNX Specified Accuracy
#      - 9640A-LPNX to UUT Mismatch Uncertainty
#
#   Frequency Response (500 MHz to 3.599 GHz):
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8485A Power Sensor Cal Factor Uncertainty
#      - 8485A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667B to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8485A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {FREQUENCY RESPONSE, < 3.6 GHz}
  1.003  RSLT         =
  1.004  RSLT         =RF Attenuation: 10 dB (DC Coupled)
  1.005  TARGET       -p
  1.006  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (DC)
  1.007  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON;:INP:COUP DC
  1.008  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.009  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.010  SCPI         BAND:RES 10E+3
  1.011  MATH         @TestName = "10 dB Ref Set (HF)"
  1.012  MATH         @Connection = "fsu_direct_to_lpnx"
  1.013  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.014  MATH         @LoadSWR = 1.5; @DC_10dB = 1; @Atten = 10
  1.015  MATH         @AttenType = "RF Attenuation"; @Coupling = "DC"
  1.016  CALL         Sub FSQ Frequency Response Tests (HF)
  1.017  JMPL         AC_10dB_HF

  1.018  LABEL        DC_10dB_RF
  1.019  HEAD         -2
  1.020  MATH         @Preamp = 0
  1.021  CALL         Sub FSQ Characterize Power Splitter Tracking Errors

  1.022  HEAD         FREQUENCY RESPONSE, < 3.6 GHz
  1.023  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.024  PIC          fsu_rf_freq_resp_swpg.jpg

  1.025  IF           @Opt_B25
  1.026  DISP         The next routine operator intervention
  1.026  DISP         occurs in approximately 24½ minutes...
  1.027  ELSE
  1.028  DISP         The next routine operator intervention
  1.028  DISP         occurs in approximately 14 minutes...
  1.029  ENDIF

  1.030  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (DC)
  1.031  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON;:INP:COUP DC
  1.032  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.033  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.034  SCPI         BAND:RES 10E+3
  1.035  MATH         @TestName = "10 dB Ref Set (RF)"
  1.036  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @LoadSWR = 1.5
  1.037  MATH         @DevName = "Agilent 11667B"; @AccMode = "Output SWR"
  1.038  MATH         @Chan = "B"
  1.039  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.040  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.041  CALL         Sub FSU Take Sweep (MKPK)
  1.042  SCPI         CALC:MARK:Y?[I]
  1.043  MATH         @UUT_Ref = MEM; @Atten = 10
  1.044  MATH         @AttenType = "RF Attenuation"; @Coupling = "DC"
  1.045  CALL         Sub FSQ Frequency Response Tests (RF)
  1.046  JMPL         AC_10dB_RF

  1.047  LABEL        AC_10dB_HF
  1.048  RSLT         =
  1.049  RSLT         =RF Attenuation: 10 dB (AC Coupled)
  1.050  TARGET       -p
  1.051  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (AC)
  1.052  SCPI         FREQ:CENT 128E+6;:INP:COUP AC
  1.053  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.054  MATH         @DC_10dB = 0
  1.055  CALL         Sub FSQ Frequency Response Tests (HF)
  1.056  JMPL         DC_5dB_HF

  1.057  LABEL        AC_10dB_RF
  1.058  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB (AC)
  1.059  SCPI         FREQ:CENT 128E+6;:INP:COUP AC
  1.060  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.061  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.062  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.063  CALL         Sub FSU Take Sweep (MKPK)
  1.064  SCPI         CALC:MARK:Y?[I]
  1.065  MATH         @UUT_Ref = MEM; @Coupling = "AC"; @Atten = 10
  1.066  CALL         Sub FSQ Frequency Response Tests (RF)
  1.067  JMPL         DC_5dB_RF

  1.068  LABEL        DC_5dB_HF
  1.069  RSLT         =
  1.070  RSLT         =RF Attenuation: 5 dB (DC Coupled)
  1.071  TARGET       -p
  1.072  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 5 dB (DC)
  1.073  SCPI         FREQ:CENT 128E+6;:INP:ATT 5 DB;COUP DC
  1.074  MATH         @TestName = "Freq Response: 5 dB"
  1.075  MATH         @TestName = "5 dB Ref Set (HF)"; @Atten = 5
  1.076  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.077  CALL         Sub FSQ Frequency Response Tests (HF)
  1.078  JMPL         DC_20dB_HF

  1.079  LABEL        DC_5dB_RF
  1.080  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 5 dB (DC)
  1.081  SCPI         FREQ:CENT 128E+6;:INP:ATT 5 DB;COUP DC
  1.082  MATH         @TestName = "5 dB Ref Set (RF)"
  1.083  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.084  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.085  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.086  CALL         Sub FSU Take Sweep (MKPK)
  1.087  SCPI         CALC:MARK:Y?[I]
  1.088  MATH         @UUT_Ref = MEM; @Coupling = "DC"; @Atten = 5
  1.089  CALL         Sub FSQ Frequency Response Tests (RF)
  1.090  JMPL         DC_20dB_RF

  1.091  LABEL        DC_20dB_HF
  1.092  RSLT         =
  1.093  RSLT         =RF Attenuation: 20 dB (DC Coupled)
  1.094  TARGET       -p
  1.095  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB (DC)
  1.096  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.097  MATH         @TestName = "20 dB Ref Set (HF)"; @Atten = 20
  1.098  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.099  CALL         Sub FSQ Frequency Response Tests (HF)
  1.100  JMPL         DC_40dB_HF

  1.101  LABEL        DC_20dB_RF
  1.102  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB (DC)
  1.103  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  1.104  MATH         @TestName = "20 dB Ref Set (RF)"
  1.105  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.106  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.107  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.108  CALL         Sub FSU Take Sweep (MKPK)
  1.109  SCPI         CALC:MARK:Y?[I]
  1.110  MATH         @UUT_Ref = MEM; @Atten = 20
  1.111  CALL         Sub FSQ Frequency Response Tests (RF)
  1.112  JMPL         DC_40dB_RF

  1.113  LABEL        DC_40dB_HF
  1.114  RSLT         =
  1.115  RSLT         =RF Attenuation: 40 dB (DC Coupled)
  1.116  TARGET       -p
  1.117  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB (DC)
  1.118  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.119  MATH         @TestName = "40 dB Ref Set (HF)"; @Atten = 40
  1.120  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.121  CALL         Sub FSQ Frequency Response Tests (HF)
  1.122  JMPL         B25_0dB_HF                   @Opt_B25
  1.123  JMPL         DC_10dB_RF

  1.124  LABEL        DC_40dB_RF
  1.125  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB (DC)
  1.126  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  1.127  MATH         @TestName = "40 dB Ref Set (RF)"
  1.128  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.129  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.130  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.131  CALL         Sub FSU Take Sweep (MKPK)
  1.132  SCPI         CALC:MARK:Y?[I]
  1.133  MATH         @UUT_Ref = MEM; @Atten = 40
  1.134  CALL         Sub FSQ Frequency Response Tests (RF)
  1.135  JMPL         B25_0dB_RF                   @Opt_B25

  1.136  MATH         DEL("@Chan")
  1.137  JMPL         END

  1.138  LABEL        B25_0dB_HF
  1.139  RSLT         =
  1.140  HEAD         {FREQUENCY RESPONSE, < 3.6 GHz (FSU-B25 Option)}
  1.141  RSLT         =
  1.142  RSLT         =Electronic Attenuator: 0 dB
  1.143  TARGET       -p
  1.144  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.145  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.146  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.147  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.148  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.149  MATH         @TestName = "0 dB Ref Set (HF)"
  1.150  MATH         @Connection = "fsu_direct_to_lpnx"
  1.151  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.152  MATH         @LoadSWR = 1.5; @DC_10dB = 0; @B25_On = 1
  1.153  MATH         @AttenType = "Electronic Attenuator"
  1.154  CALL         Sub FSQ Frequency Response Tests (HF)
  1.155  JMPL         B25_5dB_HF

  1.156  LABEL        B25_0dB_RF
  1.157  HEAD         FREQUENCY RESPONSE, < 3.6 GHz (FSU-B25 Option)
  1.158  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  1.159  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.160  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.161  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  1.162  SCPI         BAND:RES 10E+3;:INP:EATT:STAT ON;:INP:EATT 0 DB
  1.163  MATH         @TestName = "0 dB Ref Set (RF)"
  1.164  MATH         @TestFreq = "128 MHz"; @TestLvl = +1
  1.165  MATH         @DevName = "Agilent 11667B"; @AccMode = "Output SWR"
  1.166  MATH         @Chan = "B"; @B25_On = 1
  1.167  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.168  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.169  CALL         Sub FSU Take Sweep (MKPK)
  1.170  SCPI         CALC:MARK:Y?[I]
  1.171  MATH         @UUT_Ref = MEM; @Atten = 0
  1.172  MATH         @AttenType = "Electronic Attenuator"
  1.173  CALL         Sub FSQ Frequency Response Tests (RF)
  1.174  JMPL         B25_5dB_RF

  1.175  LABEL        B25_5dB_HF
  1.176  RSLT         =
  1.177  RSLT         =Electronic Attenuator: 5 dB
  1.178  TARGET       -p
  1.179  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.180  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.181  MATH         @TestName = "5 dB Ref Set (HF)"
  1.182  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.183  MATH         @DC_10dB = 0
  1.184  CALL         Sub FSQ Frequency Response Tests (HF)
  1.185  JMPL         B25_10dB_HF

  1.186  LABEL        B25_5dB_RF
  1.187  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  1.188  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  1.189  MATH         @TestName = "5 dB Ref Set (RF)"
  1.190  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.191  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.192  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.193  CALL         Sub FSU Take Sweep (MKPK)
  1.194  SCPI         CALC:MARK:Y?[I]
  1.195  MATH         @UUT_Ref = MEM; @Atten = 5
  1.196  CALL         Sub FSQ Frequency Response Tests (RF)
  1.197  JMPL         B25_10dB_RF

  1.198  LABEL        B25_10dB_HF
  1.199  RSLT         =
  1.200  RSLT         =Electronic Attenuator: 10 dB
  1.201  TARGET       -p
  1.202  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.203  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.204  MATH         @TestName = "10 dB Ref Set (HF)"
  1.205  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.206  CALL         Sub FSQ Frequency Response Tests (HF)
  1.207  JMPL         B25_15dB_HF

  1.208  LABEL        B25_10dB_RF
  1.209  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  1.210  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  1.211  MATH         @TestName = "10 dB Ref Set (RF)"
  1.212  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.213  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.214  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.215  CALL         Sub FSU Take Sweep (MKPK)
  1.216  SCPI         CALC:MARK:Y?[I]
  1.217  MATH         @UUT_Ref = MEM; @Atten = 10
  1.218  CALL         Sub FSQ Frequency Response Tests (RF)
  1.219  JMPL         B25_15dB_RF

  1.220  LABEL        B25_15dB_HF
  1.221  RSLT         =
  1.222  RSLT         =Electronic Attenuator: 15 dB
  1.223  TARGET       -p
  1.224  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.225  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.226  MATH         @TestName = "15 dB Ref Set (HF)"
  1.227  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.228  CALL         Sub FSQ Frequency Response Tests (HF)
  1.229  JMPL         B25_20dB_HF

  1.230  LABEL        B25_15dB_RF
  1.231  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  1.232  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  1.233  MATH         @TestName = "15 dB Ref Set (RF)"
  1.234  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.235  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.236  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.237  CALL         Sub FSU Take Sweep (MKPK)
  1.238  SCPI         CALC:MARK:Y?[I]
  1.239  MATH         @UUT_Ref = MEM; @Atten = 15
  1.240  CALL         Sub FSQ Frequency Response Tests (RF)
  1.241  JMPL         B25_20dB_RF

  1.242  LABEL        B25_20dB_HF
  1.243  RSLT         =
  1.244  RSLT         =Electronic Attenuator: 20 dB
  1.245  TARGET       -p
  1.246  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.247  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.248  MATH         @TestName = "20 dB Ref Set (HF)"
  1.249  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.250  CALL         Sub FSQ Frequency Response Tests (HF)
  1.251  JMPL         B25_25dB_HF

  1.252  LABEL        B25_20dB_RF
  1.253  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 20 dB
  1.254  SCPI         FREQ:CENT 128E+6;:INP:EATT 20 DB
  1.255  MATH         @TestName = "20 dB Ref Set (RF)"
  1.256  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.257  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.258  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.259  CALL         Sub FSU Take Sweep (MKPK)
  1.260  SCPI         CALC:MARK:Y?[I]
  1.261  MATH         @UUT_Ref = MEM; @Atten = 20
  1.262  CALL         Sub FSQ Frequency Response Tests (RF)
  1.263  JMPL         B25_25dB_RF

  1.264  LABEL        B25_25dB_HF
  1.265  RSLT         =
  1.266  RSLT         =Electronic Attenuator: 25 dB
  1.267  TARGET       -p
  1.268  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.269  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.270  MATH         @TestName = "25 dB Ref Set (HF)"
  1.271  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.272  CALL         Sub FSQ Frequency Response Tests (HF)
  1.273  JMPL         B25_30dB_HF

  1.274  LABEL        B25_25dB_RF
  1.275  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 25 dB
  1.276  SCPI         FREQ:CENT 128E+6;:INP:EATT 25 DB
  1.277  MATH         @TestName = "25 dB Ref Set (RF)"
  1.278  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.279  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.280  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.281  CALL         Sub FSU Take Sweep (MKPK)
  1.282  SCPI         CALC:MARK:Y?[I]
  1.283  MATH         @UUT_Ref = MEM; @Atten = 25
  1.284  CALL         Sub FSQ Frequency Response Tests (RF)
  1.285  JMPL         B25_30dB_RF

  1.286  LABEL        B25_30dB_HF
  1.287  RSLT         =
  1.288  RSLT         =Electronic Attenuator: 30 dB
  1.289  TARGET       -p
  1.290  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.291  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.292  MATH         @TestName = "30 dB Ref Set (HF)"
  1.293  CALL         Sub FSU Frequency Response (HF) Ref Set /LPNX
  1.294  CALL         Sub FSQ Frequency Response Tests (HF)
  1.295  MATH         DEL("@B25_On")
  1.296  JMPL         DC_10dB_RF

  1.297  LABEL        B25_30dB_RF
  1.298  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 30 dB
  1.299  SCPI         FREQ:CENT 128E+6;:INP:EATT 30 DB
  1.300  MATH         @TestName = "30 dB Ref Set (RF)"
  1.301  MATH         @TestFreq = "128 MHz"; @TestLvl = +1; @Chan = "B"
  1.302  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.303  CALL         Sub FSU Compute RF Freq Response Reference Uncertainty
  1.304  CALL         Sub FSU Take Sweep (MKPK)
  1.305  SCPI         CALC:MARK:Y?[I]
  1.306  MATH         @UUT_Ref = MEM; @Atten = 30
  1.307  CALL         Sub FSQ Frequency Response Tests (RF)
  1.308  MATH         DEL("@Chan"); DEL("@B25_On")

  1.309  LABEL        END
  1.310  HEAD         -2
  1.311  SCPI         SYST:PRES
  1.312  HEAD
  1.313  END
