﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) Frequency Response Test (RF)
DATE:                  2011-02-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       68
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Rohde & Schwarz FSU3, FSU8, FSU26
#
# Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
# Subprocedures:
#        Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
#        Sub FSU Compute RF Freq Response Test Uncertainty
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           BASE(@TestFreq) > 999E+6
  1.002  MATH         Freq = (BASE(@TestFreq) / 1E+9) & " GHz"
  1.003  ELSE
  1.004  MATH         Freq = @TestFreq
  1.005  ENDIF

  1.006  MATH         Type = @AttenType; Attn = @Atten; Cpl = @Coupling

  1.007  IF           ISVAR("@B25_On")

  1.008  IF           @B25_On
  1.009  TOL          0.600U
  1.010  ENDIF

  1.011  ELSE
  1.012  TOL          0.300U
  1.013  ENDIF

  1.014  HEAD         -2 Frequency: [V Freq], [V Type]: [V Attn] dB ([V Cpl])
  1.015  TSET         TDESC = [V @TestFreq]
  1.016  SCPI         FREQ:CENT [V @TestFreq]
  1.017  CALL         Sub FSU Set RF Frequency Response Test Lvl /4419,SWPG
  1.018  CALL         Sub FSU Compute RF Freq Response Test Uncertainty
  1.019  ACC          0.000dB        M1U                                   +DW
  1.020  TARGET       -m
  1.021  CALL         Sub FSU Take Sweep (MKPK)
  1.022  SCPI         CALC:MARK:Y?[I]
  1.023  MATH         MEM = MEM - @UUT_Ref
  1.024  MEMCX        0.000dB        TOL
  2.001  END
