﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Frequency Response (HF) Ref Set /LPNX
DATE:                  2010-12-13
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       61
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
# Procedure Author:
#        DFM
#
# Model(s) Covered:
#        Rohde & Schwarz FSU3, FSU8, FSU26
#
# Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
# Subprocedures:
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Set Ref Level (dBm) /9640
#
# Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  LPNX         ExtRefFrequency = 10 MHz; TimebaseAccuracyOff
  1.001  LPNX         +Level = -6 dBm; Freq = 128 MHz; OutputImp = 50 Ohms
  1.002  CALL         Sub FSU Take Sweep (MKPK)
  1.003  SCPI         CALC:MARK:Y?[I]
  1.004  MATH         @FSU_RefLvl = -6; @9640Lvl = @FSU_RefLvl
  1.005  MATH         @9640Freq = 128E+6; @9640RefIn = 10E+6; @Error = 0

  1.006  WHILE        ((MEM <= -6.02) || (MEM >= -5.98)) && NOT(@Error)
  1.007  CALL         Sub FSU Set Ref Level (dBm) /9640
  1.008  ENDW

  1.009  IF           @Error
  1.010  EVAL   -e 0 : An error occurred during the [V @TestName].
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  CALL         Sub FSU Take Sweep (MKPK)
  2.005  SCPI         CALC:MARK:Y?[I]
  2.006  MATH         @RefLvl = MEM
  2.007  END
