﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU Second Harmonic Distortion Test /9640
INSTRUMENT:            Sub FSU IF Filter Bandwidth Switching Test /9640
DATE:                  2010-12-02
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       145
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Subprocedures:
#        Sub FSU Take Sweep (MKPK)
#        Sub FSU Set Ref Level /9640
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         2nd_HARMONIC                 PSUBI("Harmonic")
  1.002  JMPL         IF_FILTER                    PSUBI("IF Filter")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number

# ====== Sub FSU Second Harmonic Distortion Test /9640 =====================

  2.001  LABEL        2nd_HARMONIC
  2.002  MATH         @DevName = "Fluke 9640A"
  2.003  MATH         Freq = @Freq / 1E+6
  2.004  HEAD         -2 Set UUT Fundamental reference level: [V Freq] MHz
  2.005  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV 0;SPAC LOG
  2.006  SCPI         DISP:WIND:TRAC:Y 100 DB
  2.007  SCPI         FREQ:CENT [V @Freq];SPAN 3E+3
  2.008  SCPI         BAND:RES 1E+3;:CALC:MARK:STAT ON
  2.009  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutpImp = 50 Ohms
  2.009  9640         +Level = 0 dBm; Freq = [V @Freq] Hz
  2.010  CALL         Sub FSU Take Sweep (MKPK)
  2.011  SCPI         CALC:MARK:Y?[I]
# Adjust generator output for fundamental reference.
  2.012  MATH         @TestName = "2nd Harmonic: " & Freq & " MHz"
  2.013  MATH         @FSU_RefLvl = 0; @9640Lvl = @FSU_RefLvl
  2.014  MATH         @9640Freq = @Freq; @9640RefIn = 10E+6

  2.015  WHILE        ((MEM <= -0.02) || (MEM >= 0.02)) && NOT(@Error)
  2.016  CALL         Sub FSU Set Ref Level (dBm) /9640
  2.017  ENDW

  2.018  IF           @Error
  2.019  EVAL   -e 0 : An error occurred during the [V @TestName].
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  MATH         @Fundamental = MEM
# Amplitude accuracy of 9640A at fundamental frequency.
  3.005  MATH         M[1] = ACCVF2(@DevName, "Level 50", @9640Lvl, @Freq)
  3.006  MATH         M[1] = (DBTOPCTW_D(M[1])) / CONF(@DevName)
# Retrieve 9640A output SWR at fundamental frequency.
  3.007  MATH         @SourceSWR = ACCVF(@DevName, "VSWR 50", @Freq)
  3.008  CALL         Sub Compute Mismatch Uncertainty (%)
  3.009  MATH         M[2] = @MismatchUncPct
  3.010  MATH         @RefLvl = @9640Lvl
  3.011  MATH         Freq2 = @Freq * 2; Harm = Freq2 / 1E+6

  3.012  HEAD         -2 Measure UUT frequency response: [V Harm] MHz
# Tune the UUT to the frequency of the second harmonic.
  3.013  SCPI         FREQ:CENT [V Freq2]
  3.014  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutpImp = 50 Ohms
  3.014  9640         +Level = 0 dBm; Freq = [V Freq2] Hz
  3.015  CALL         Sub FSU Take Sweep (MKPK)
  3.016  SCPI         CALC:MARK:Y?[I]
# Adjust generator output for the same relative indication as fundamental.
  3.017  MATH         @TestName = "2nd Harmonic: " & Harm & " MHz"
  3.018  MATH         @FSU_RefLvl = 0; @9640Freq = Freq2; @9640RefIn = 10E+6

  3.019  WHILE        ((MEM <= -0.02) || (MEM >= 0.02)) && NOT(@Error)
  3.020  CALL         Sub FSU Set Ref Level (dBm) /9640
  3.021  ENDW

  3.022  IF           @Error
  3.023  EVAL   -e 0 : An error occurred during the [V @TestName].
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

# Amplitude accuracy of 9640A at harmonic frequency.
  4.004  MATH         M[3] = ACCVF2(@DevName, "Level 50", @9640Lvl, Freq2)
  4.005  MATH         M[3] = (DBTOPCTW_D(M[3])) / CONF(@DevName)
# Retrieve 9640A output SWR at harmonic frequency.
  4.006  MATH         @SourceSWR = ACCVF(@DevName, "VSWR 50", Freq2)
  4.007  CALL         Sub Compute Mismatch Uncertainty (%)
  4.008  MATH         M[4] = @MismatchUncPct
# Display Scale Fidelity specification of UUT (normalized).
  4.009  MATH         M[5] = DBTOPCTW_D(0.13) / 3
# Compute combined expanded uncertainty and convert to log units.
  4.010  MATH         M[6] = PCTTODBW_D(RSS(1, 5) * 2)
# Compute the (UUT) frequency response error at the second harmonic.
  4.011  MATH         @FreqRespErr = @9640Lvl - @RefLvl

  4.012  HEAD         -2 Measure UUT 2nd Harmonic distortion: [V Freq] MHz
  4.013  9640         ExtRefFreq = 10 MHz; TimebaseAccOff; OutpImp = 50 Ohms
  4.013  9640         +Level = [V @RefLvl] dBm; Freq = [V @Freq] Hz
  4.014  SCPI         AVER:COUNT 10;STAT ON

  4.015  END

  4.016  EVAL   Increment Test Number

# ====== Sub FSU IF Filter Bandwidth Switching Test /9640 ==================

  5.001  LABEL        IF_FILTER
  5.002  9640         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  5.002  9640         +Level = [V @9640Lvl] dBm; Freq = 128 MHz
# Uncertainty is the accuracy (floor) spec of the UUT marker.
  5.003  ACC          0.00dB         0.01U
  5.004  TARGET       -m
  5.005  CALL         Sub FSU Take Sweep (MKPK)
  5.006  SCPI         CALC:DELT:Y?[I]
  5.007  MEMCX        0.00dB         TOL

  6.001  END
